---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap03t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2B20, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x517C0, symBinAddr: 0x8320, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53700, symBinAddr: 0xA260, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53AF0, symBinAddr: 0xA650, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54A90, symBinAddr: 0xB5F0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54AA0, symBinAddr: 0xB600, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51300, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBE0, offset: 0xBE0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51304, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBEB, offset: 0xBEB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51308, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC30, offset: 0xC30, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51450, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xCA9, offset: 0xCA9, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51508, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCC7, offset: 0xCC7, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5150C, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCE0, offset: 0xCE0, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51510, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCF9, offset: 0xCF9, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51514, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xD12, offset: 0xD12, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51518, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92FC, offset: 0x92FC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51520, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x9385, offset: 0x9385, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51530, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x939E, offset: 0x939E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51538, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93B7, offset: 0x93B7, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51540, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93D0, offset: 0x93D0, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51548, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93E9, offset: 0x93E9, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51550, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9403, offset: 0x9403, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51558, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94E9, offset: 0x94E9, size: 0x8, addend: 0x0, symName: __ZL17check_object_free, symObjAddr: 0xE9A6, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL9obj_count, symObjAddr: 0x515A0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x952C, offset: 0x952C, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x515A8, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x9545, offset: 0x9545, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x515B0, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x955E, offset: 0x955E, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x515C0, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9577, offset: 0x9577, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x5172C, symBinAddr: 0x831C, symSize: 0x0 }
  - { offsetInCU: 0x95C9, offset: 0x95C9, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1760, symSize: 0x80 }
  - { offsetInCU: 0x965E, offset: 0x965E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16B0, symSize: 0xB0 }
  - { offsetInCU: 0x96B9, offset: 0x96B9, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15B0, symSize: 0x100 }
  - { offsetInCU: 0x994C, offset: 0x994C, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x17E0, symSize: 0xC0 }
  - { offsetInCU: 0x999E, offset: 0x999E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18A0, symSize: 0x220 }
  - { offsetInCU: 0x9B83, offset: 0x9B83, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1AC0, symSize: 0xA0 }
  - { offsetInCU: 0x9C36, offset: 0x9C36, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1B60, symSize: 0x110 }
  - { offsetInCU: 0x9D2C, offset: 0x9D2C, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1C70, symSize: 0x150 }
  - { offsetInCU: 0x9E89, offset: 0x9E89, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1DC0, symSize: 0x30 }
  - { offsetInCU: 0x9F6A, offset: 0x9F6A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1DF0, symSize: 0x150 }
  - { offsetInCU: 0xA162, offset: 0xA162, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1F40, symSize: 0x160 }
  - { offsetInCU: 0xA422, offset: 0xA422, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x20A0, symSize: 0x4A0 }
  - { offsetInCU: 0xA695, offset: 0xA695, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2540, symSize: 0x1B0 }
  - { offsetInCU: 0xA8B0, offset: 0xA8B0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x26F0, symSize: 0xA0 }
  - { offsetInCU: 0xA97F, offset: 0xA97F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2790, symSize: 0x20 }
  - { offsetInCU: 0xA9B6, offset: 0xA9B6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x27B0, symSize: 0x20 }
  - { offsetInCU: 0xA9ED, offset: 0xA9ED, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x27D0, symSize: 0x20 }
  - { offsetInCU: 0xAAC6, offset: 0xAAC6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_setFailStatus, symObjAddr: 0x35A0, symBinAddr: 0x27F0, symSize: 0x40 }
  - { offsetInCU: 0xAB7D, offset: 0xAB7D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2830, symSize: 0x1A0 }
  - { offsetInCU: 0xAE99, offset: 0xAE99, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x29D0, symSize: 0x150 }
  - { offsetInCU: 0xB056, offset: 0xB056, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2DC0, symSize: 0x1D0 }
  - { offsetInCU: 0xB352, offset: 0xB352, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2F90, symSize: 0x80 }
  - { offsetInCU: 0xB41B, offset: 0xB41B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x3010, symSize: 0x6C0 }
  - { offsetInCU: 0xBF91, offset: 0xBF91, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA820, symBinAddr: 0x4CA0, symSize: 0xB0 }
  - { offsetInCU: 0xC008, offset: 0xC008, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x36D0, symSize: 0x70 }
  - { offsetInCU: 0xC108, offset: 0xC108, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x3740, symSize: 0x3B0 }
  - { offsetInCU: 0xC580, offset: 0xC580, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3AF0, symSize: 0xA0 }
  - { offsetInCU: 0xC6AB, offset: 0xC6AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3B90, symSize: 0x40 }
  - { offsetInCU: 0xC7A1, offset: 0xC7A1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3BD0, symSize: 0x2B0 }
  - { offsetInCU: 0xCB47, offset: 0xCB47, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3E80, symSize: 0xC0 }
  - { offsetInCU: 0xCC8D, offset: 0xCC8D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3F40, symSize: 0x10 }
  - { offsetInCU: 0xCD4F, offset: 0xCD4F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3F50, symSize: 0x240 }
  - { offsetInCU: 0xD038, offset: 0xD038, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x4190, symSize: 0x10 }
  - { offsetInCU: 0xD095, offset: 0xD095, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x41A0, symSize: 0x400 }
  - { offsetInCU: 0xD524, offset: 0xD524, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA120, symBinAddr: 0x45A0, symSize: 0x10 }
  - { offsetInCU: 0xD581, offset: 0xD581, size: 0x8, addend: 0x0, symName: _ObjectFree, symObjAddr: 0xA130, symBinAddr: 0x45B0, symSize: 0x60 }
  - { offsetInCU: 0xD5E6, offset: 0xD5E6, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0xA190, symBinAddr: 0x4610, symSize: 0x20 }
  - { offsetInCU: 0xD62E, offset: 0xD62E, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA1B0, symBinAddr: 0x4630, symSize: 0x30 }
  - { offsetInCU: 0xD699, offset: 0xD699, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP03_ap03t001_setTag, symObjAddr: 0xA1E0, symBinAddr: 0x4660, symSize: 0xC0 }
  - { offsetInCU: 0xD8AD, offset: 0xD8AD, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2A0, symBinAddr: 0x4720, symSize: 0x580 }
  - { offsetInCU: 0xDF03, offset: 0xDF03, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA8D0, symBinAddr: 0x4D50, symSize: 0x36A }
...
